| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
AdditionalToolbarWidgetAction Class Reference

Class for all display widgets. More...

`#include <additional_toolbar.h>`

Inheritance diagram for AdditionalToolbarWidgetAction:

## Public Member Functions
| AdditionalToolbarWidgetAction (QObject *parent=0)
| Construct an empty AdditionalToolbarWidgetAction.
| AdditionalToolbarWidgetAction (ext_toolbar_t *item, QObject *parent=0)
| Construct an AdditionalToolbarWidgetAction for a toolbar item.
| AdditionalToolbarWidgetAction (const AdditionalToolbarWidgetAction &copy_object)
| Copy constructor.
| ~AdditionalToolbarWidgetAction ()
| Destructor.

## Protected Member Functions
virtual QWidget * | createWidget (QWidget *parent) override
| Create the appropriate widget for this action's toolbar item.

## Static Protected Attributes
static const char * | propertyName = "additional_toolbar_item"
| QObject property name used to attach the ext_toolbar_t pointer to widgets.

## Detailed Description

Class for all display widgets.

Inherits QWidgetAction, otherwise the extension popup might not work for the toolbar

## Constructor & Destructor Documentation

## ◆ AdditionalToolbarWidgetAction() [1/3]

AdditionalToolbarWidgetAction::AdditionalToolbarWidgetAction | ( | QObject * | parent = 0 | ) |

Construct an empty AdditionalToolbarWidgetAction.

Parameters

  parent | The parent QObject.

## ◆ AdditionalToolbarWidgetAction() [2/3]

AdditionalToolbarWidgetAction::AdditionalToolbarWidgetAction | ( | ext_toolbar_t * | item,
|  | QObject * | parent = 0 )

Construct an AdditionalToolbarWidgetAction for a toolbar item.

Parameters

  item | The external toolbar item descriptor whose type and metadata determine the widget that will be created.
  parent | The parent QObject.

## ◆ AdditionalToolbarWidgetAction() [3/3]

AdditionalToolbarWidgetAction::AdditionalToolbarWidgetAction | ( | const AdditionalToolbarWidgetAction & | copy_object | ) |

Copy constructor.

Parameters

  copy_object | The object to copy.

## Member Function Documentation

## ◆ createWidget()

QWidget * AdditionalToolbarWidgetAction::createWidget | ( | QWidget * | parent | ) |
| override protected virtual

Create the appropriate widget for this action's toolbar item.

Parameters

  parent | The parent widget supplied by the toolbar.

Returns
  The newly created widget, or nullptr if the item type is unknown.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/additional_toolbar.h
- /builds/wireshark/wireshark/ui/qt/widgets/additional_toolbar.cpp